> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 新しく指定したIdに基づくコネクタ設定の新しいコネクタへのコピー

> このアクションは、新しく指定された Id に基づいて、コネクタ設定を新しいコネクタにコピーします。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json POST /copyConnector
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /copyConnector:
    post:
      tags:
        - copyConnector
      summary: 新しく指定したIdに基づくコネクタ設定の新しいコネクタへのコピー
      description: このアクションは、新しく指定された Id に基づいて、コネクタ設定を新しいコネクタにコピーします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/copyConnector_input'
        required: true
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/copyConnector_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    copyConnector_input:
      type: object
      required:
        - WorkspaceId
        - ConnectorId
        - NewConnectorId
      properties:
        WorkspaceId:
          description: ワークスペースのId。
          type: string
        ConnectorId:
          type: string
          description: コピーするコネクタのId。
        NewWorkspaceId:
          type: string
          description: 新しいワークスペースのId。指定しない場合は、元のコネクタのワークスペースが使用されます。
        NewConnectorId:
          type: string
          description: 新しいコネクタのId。
    copyConnector_output:
      type: array
      items:
        type: object
        properties:
          AllowedPrivileges:
            type: string
            description: コネクタの権限。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````